Package com.xebialabs.xlrelease.domain.delivery

# Class TrackedItem

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.delivery.TrackedItem

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(versioned=false) public class TrackedItem extends BaseConfigurationItem

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TrackedItem()`
  `TrackedItem(String title)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `addReleaseId(String releaseId)`
  `Date`
  `getCreatedDate()`
  `Date`
  `getModifiedDate()`
  `Set<String>`
  `getReleaseIds()`
  `String`
  `getTitle()`
  `boolean`
  `isDescoped()`
  `void`
  `setCreatedDate(Date createdDate)`
  `void`
  `setDescoped(boolean descoped)`
  `void`
  `setModifiedDate(Date modifiedDate)`
  `void`
  `setReleaseIds(Set<String> releaseIds)`
  `void`
  `setTitle(String title)`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TrackedItem

    public TrackedItem()

  - ### TrackedItem

    public TrackedItem(String title)

- ## Method Details

  - ### addReleaseId

    public boolean addReleaseId(String releaseId)

  - ### getTitle

    public String getTitle()

  - ### setTitle

    public void setTitle(String title)

  - ### getReleaseIds

    public Set<String> getReleaseIds()

  - ### setReleaseIds

    public void setReleaseIds(Set<String> releaseIds)

  - ### isDescoped

    public boolean isDescoped()

  - ### setDescoped

    public void setDescoped(boolean descoped)

  - ### getCreatedDate

    public Date getCreatedDate()

  - ### setCreatedDate

    public void setCreatedDate(Date createdDate)

  - ### getModifiedDate

    public Date getModifiedDate()

  - ### setModifiedDate

    public void setModifiedDate(Date modifiedDate)